## mariadb 11.0.6+maria~ubu2310

=== debian/changelog ===
mariadb (1:11.0.6+maria~ubu2310) mantic; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 15 May 2024 13:21:10 +0000
